/* Created by: Matt Kitson */
/* May 2026 */
/* style.css */

/* START OF General Page settings */
html { 
  background: url(http://quiz.xtrastep.co.uk/bar/images/background.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
         body {
            font-family:Arial, Helvetica, sans-serif;
		font-size: calc(14px + 1.5vw);
         }


	h1 {
		font-size: calc(18px + 1vw);
		color: #000000;
	}

	p {
		font-size: calc(12px + 2vw);
		color: #000000;
	}

         /* unvisited link */
         a:link {
           color: #010bd8;
           text-decoration: none;
         }

         /* visited link */
         a:visited {
           color: #2b34ec;
           text-decoration: none;
         }

         /* mouse over link */
         a:hover {
           color: #454645;
           text-decoration: none;
         }

         /* selected link */
         a:active {
           color: #454645;
           text-decoration: none;
         }
        .error-message {
        font-size:11px;
        color:#cc0000;
        margin-top:10px
        }

	.headerimage {
	width: 100%; 
	height: auto; 
	object-fit: cover;
	}

	.mainbody {
		width: 100%;
	}

	.content {
	text-align:left; 
	padding: 0px 20px 10px 20px; 
	border: none;
	}

	.bandheader {
		font-size: calc(16px + 2vw);
		color: #000000;
	}

	.banditems {
		font-size: calc(14px + 2vw);
		color: #000000;
	}

	.bandreadmore {
		font-size: calc(14px + 2vw);
		color: Blue;
	}



/* END OF General Page settings */





/* START OF MENU settings */

	.menu-area {
		background-image: url("../images/grass.jpg");
	}

         .menu-row {
            color: #0665a2;
            padding:3px;
            width: 100%;
            text-align: center;
            display: block;
            border: none;


         }

	.menu-row-button {
		margin: 0 auto;
            width: 35vw;
            text-align: center;
	    font-size: calc(18px + 1vw);
	    font-weight: normal;
            display: block;
	    border-width: thin;
            border: solid;
            background-color:#f4f4f4;
             box-shadow: 5px 5px 4px #888888;
	}

         .sub-menu-row {
            color: #0665a2;
            padding:3px;
            width: 100%;
            text-align: center;
            display: block;
            border: none;
		background-image: url("../images/grassmenu.jpg");
         }

         .menu-item {
            background-color:#06ef27;
            color: #0665a2;
            padding:3px;
            margin-left: 2px;
            margin-right: 2px;
            margin-bottom: 5px;
            text-align: left;
	    font-size: calc(14px + 2vw);
	    width: 100%;
            box-shadow: 5px 5px 4px #888888;
            display: inline-block;
         }

        .menu-items {
        align: center;
        width: 98%;
        display: block;
        border: none;
        }

      input.largercheckbox {
	 transform: scale(2); /* Adjust scale as needed */
	 margin: 5px;
      }

        .menu-button {
        align: center;
        width: 100%;
        }

        .mobile-menu-top {
            color: #2498e3;;
            padding:3px;
            width: 99%;
            text-align: center;
            display: block;
           border: none;
         }
        .mobile-menu-inner {
            background-color:#ffffff;
            color: #2498e3;
            padding:0px;
            width: 100%;
            text-align: center;
            display: none;
            border: none;
        }

/* CONSTANT MENU settings */

         .constant-menu-item {
            background-color:#06ef27;
            color: #515253;
            padding:3px;
            margin-left: 2px;
            margin-right: 2px;
            margin-bottom: 5px;
            width: 120px;
            text-align: center;
             box-shadow: 5px 5px 4px #888888;
            display: inline-block;
         }

         .constant-user-menu-item {
            background-color:#06ef27;
            color: #515253;
            padding:3px;
            margin-left: 2px;
            margin-right: 2px;
            margin-bottom: 5px;
            width: 50px;
            text-align: center;
             box-shadow: 5px 5px 4px #888888;
            display: inline-block;
         }

/* END OF CONSTANT MENU settings */


/* END OF MENU settings */


.onebandview {
 width: 50vw;
 margin: 0 auto;
border: none;
}

.onebandviewimg {
width: 50vw; 
height: auto
}


* {
  box-sizing: border-box;
}

.flex-container {
  display: flex;
  flex-wrap: wrap;
align-items: space-evenly;
}

.flex-item {
  background-color: #f1f1f1;
  padding: 10px;
  text-align: center;  
  font-size: 30px;
  flex: 25%;
}

.inner-flex {
  width: 23vw;
}





/* START OF SCREEN RESOLUTION CHANGES */


.records {
  display: grid;
  grid-template-columns: 1fr; /* phones */
  gap: 1.5rem;
  padding: 1rem;
}

/* Tablets (≥ 600px) */
@media (min-width: 800px) {

@media screen and (orientation:landscape) { 

   body {
	font-size: calc(14px + 1.5vw);
        }

  .records {
    grid-template-columns: repeat(2, 1fr);
  }
.menu-item {
   font-size: calc(16px + 2vw);
}
.bandheader {
  font-size: calc(16px + 2vw);
  color: #000000;
}
.banditems {
  font-size: calc(14px + 2vw);
  color: #000000;
}
.bandreadmore {
 font-size: calc(16px + 1vw);
 color: Blue;
}
}
}

/* Desktops (≥ 1200px) */
@media (min-width: 1200px) {
	p {
		font-size: calc(12px + 1vw);
		color: #000000;
	}
  .records {
    grid-template-columns: repeat(4, 1fr);
   }
.menu-item {
	    font-size: calc(10px + 1vw);
}
.bandheader {
  font-size: calc(16px + 1vw);
  color: #000000;
}
.banditems {
  font-size: calc(8px + 1vw);
  color: #000000;
}
.bandreadmore {
 font-size: calc(10px + 1vw);
 color: Blue;
}
}

.record {
  background: #fff;
  border-radius: 8px;
  padding: 1rem;
  box-shadow: 0 2px 6px rgba(0,0,0,0.1);
}






/* END OF SCREEN RESOLUTION CHANGES */



